diff --git a/src/backend/utils/cache/typcache.c b/src/backend/utils/cache/typcache.c
index e38fd16eb0..aed4710ff2 100644
--- a/src/backend/utils/cache/typcache.c
+++ b/src/backend/utils/cache/typcache.c
@@ -3,8 +3,8 @@
  * typcache.c
  *	  POSTGRES type cache code
  *
- * The type cache exists to speed lookup of certain information about data
- * types that is not directly available from a type's pg_type row.  For
+ * The type cache exists to speedup lookups of certain information about data
+ * types that are not directly available from a type's pg_type row.  For
  * example, we use a type's default btree opclass, or the default hash
  * opclass if no btree opclass exists, to determine which operators should
  * be used for grouping and sorting the type (GROUP BY, ORDER BY ASC/DESC).
